Bug 37028 - PCMCIA boot image fails to load appropriate driver
PCMCIA boot image fails to load appropriate driver
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-21 19:35 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-09 13:03:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-21 19:35:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


When using the PCMCIA boot.img and the pcmciadd.img disks, I have run into 
a issue where the card manager fails to load the appropriate driver for my 
card.


Reproducible: Always
Steps to Reproduce:
1.Begin installation with a lap-top with a XircomRBMEG56G-100
2.It will begin installation and prompt for the PCMCIA driver disk
3.If you look at the log screens(ALT-F3 and ALT-F4) it will show that it 
is trying to load xircom_cb.o instead of xirc2ps_cs.o

4.  The card fails to initalize and cardmanager exits.  
5.  Press ctrl-alt delete to reboot  :)	

Actual Results:  Unable to net-boot from the above mentioned NIC

Expected Results:  Able to boot from Network
Comment 1 Michael Fulbright 2001-04-23 12:15:57 EDT
Michael any known kernel issues with this card?
Comment 2 Arjan van de Ven 2001-04-23 12:19:12 EDT
Hrm the xircom_cb driver should be loaded from hotplug, not cardmgr,
as the xircom cards it supports are Cardbus (eg PCI) and not pcmcia.
Comment 3 Need Real Name 2001-04-23 16:53:16 EDT
So what should I do to netboot with this NIC(PCMCIA).  

Can I recreate the cpio archive on the PCMCIA diskette to point to the correct 
object file to load the drivers?  Namely point it to xirc2ps_cs.o
Comment 4 Arjan van de Ven 2001-04-23 16:58:12 EDT
If you're very sure it's not a cardbus card (eg 32 bit) but a 16 bit pcmcia
card, that is the way to go. I've never edited the pcmcia.img floppy,
I cannot help with that.
Comment 5 Need Real Name 2001-04-23 18:59:35 EDT
O.k. I am looking at the card right now...It is a RealPort Cardbus 
10/100+Modem56, RBEM56G-100.

What should I try to do to get the PCMCIA boot disk to work?
Comment 6 Need Real Name 2001-04-24 00:18:10 EDT
Just so you know here is what is listed on the consoles after inserting and 
loading the PCMCIA driver disk:

* in startPcmcia()
* found cardbus pci adapter
* need to load yenta socket
* going to insmod pcmcia_core.o (path is NULL)
* failed to load pcmcia_core -- ask for pcmciadd
* read rhpcmcia

* going to insmod pcmcia_core.o (path is NULL)
* going to insmod yenta_socket.o (path is NULL)
* going to ds.o (path is NULL)
* cardmgr running as pid 35
* cardmgr returned 0x0
* probing buses
* finished bus probing
* found suggestion of yenta_socket
* found suggestion of yenta_socket
* found nothing
* trying to mount device hdc

At this point the other console says:

<30>Apr 23 21:06:26 cardmgr[35]: starting, version is 3.1.23<30>Apr 23 21:06:26 
cardmgr[35]: watching 2 sockets<30>Apr 23 21:06:26 cardmgr[35]: Card Services 
release does not match<28>Apr 21:06:26 cardmgr[35]: could not 
open /var/run/cardmgr.pid: %m<28>Apr 23 21:06:26 cardmgr[35]: fopen(stabfile) 
failed: %m
<30>Apr 23 21:06:26 cardmgr[35]: initializing socket 1
<30>Apr 23 21:06:26 cardmgr[35]: socket 1: Xircom CBEM56G-100 CardBus 10/100 
Ethernet + 56K Modem
<30>Apr 23 21:06:26 cardmgr[35]: executing: 'modprobe cb_enabler.o'
<30>Apr 23 21:06:26 cardmgr[35]: executing: 'modprobe xircom_cb.o'
<4>PCI: Setting latency timer of device 06"00.0 to 64
<6>eth0: Xircom cardbus revision 3 at irq 9
<3>xircom_cb: Reciever failed to deactivate
<3>xircom_cb: Transmitter failed to deactivate
<30>Apr 23 21:06:27 cardmgr[35]: executing: 'modprobe serial_cb.o'
<30>Apr 23 21:06:27 cardmgr[35]: modprobe exited with status 1<30>Apr 23 
21:06:27 cardmgr[35]: module /modules/pcmcia/serial_cb.o not available<28>Apr 
23 21:06:27 cardmgr[35]: fopen(stabfile) failed: %m<28>Apr 23 21:06:27 cardmgr
[35]: fopen(stabfile) failed: %m
<30>Apr 23 21:06:27 cardmgr[35]: exiting



At this point the link light is NOT on and I have no network capability...Does 
this help at all?
Comment 7 Arjan van de Ven 2001-04-24 04:35:03 EDT
"RealPort Cardbus" -> You need xircom_cb
You need the following modules:
pcmcia_core
yenta_socket
xircom_cb

You do not need cardmgr at all.
Comment 8 Need Real Name 2001-04-26 15:09:59 EDT
What would you suggest I do then, these modules appear to attempt to load at 
the beginning of the default installation from the PCMCIA boot diskettes.
Comment 9 Need Real Name 2001-05-07 20:46:59 EDT
Once again, not to be testy, what should I do to get the netboot/pcmcia to work 
with the xircom card...The default diskette is not working....
Comment 10 Stephen Renker 2001-05-16 13:46:59 EDT
I am experiencing this same problem and have not found enough information that 
I can understand on bugzilla to resolve it.

My setup is: Compaq Presario 1220 notebook, 3Com 3CCFE575CT PCMCIA network 
card, RedHat Linux 7.1 "seawolf" retail release.  Booting either from the CD or 
the PCMCIA diskette images gets these same messages on the Ctrl+Alt+F4 virtual 
console when the installer tries to start the PCMCIA device:

<6>Linux PCMCIA Card Services 3.1.22
<6>  options: [pci] [cardbus]
<6>Intel PCIC probe:
<6>  Cirrus PD6710 ISA-to-PCMCIA at port 0x3e0 ofs 0x00, 1 socket
<6>    host opts [0]: [ring] [64/6/0] [0/16/0]
<6>    ISA irqs (default) = 3,4,5,7,9,10,11,12 polling interval = 1000 ms
<6>cs: IO port probe 0x0c00-0x0cff: clean.
<6>cs: IO port probe 0x0100-0x04ff: excluding 0x220-0x22f 0x330-0x337 0x378-
0x37f 0x388-0x38f 0x480-0x48f 0x4d0-0x4d7
<6>cs: IO port probe 0x0a00-0x0aff: clean.
<30>May 16 10:19:55 cardmgr[30]: starting, version is 3.1.23<30>May 16 10:19:55 
cardmgr[30]: watching 1 sockets<30>May 16 10:19:55 cardmgr[30]: Card Services 
release does not match<28>May 16 10:19:55 cardmgr[30]: could not 
open /var/run/cardmgr.pid: %m<28>May 16 10:19:55 cardmgr[30]: fopen(stabfile) 
failed: %m
<30>May 16 10:19:55 cardmgr[30]: exiting

While I understand that different packages are called for, I can't seem to find 
a PCMCIA package that goes with the 2.4 kernel. Do I install the one for 2.2?
Comment 11 Alan Cox 2003-06-09 13:03:01 EDT
Closing. Bug relates to the old 2.2 seperate pcmcia packages. All errata and
forward code uses the in kernel pcmcia and also xircom_tulip_cb, so the data in
this bug is now no longer of value.

Thank you for reporting it originally however

Note You need to log in before you can comment on or make changes to this bug.